<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");
ini_set('memory_limit','-1');
set_time_limit(0);

$sql = '';
$historia = '';
if($_REQUEST['sql']){$sql = $_REQUEST['sql'];}
if($_REQUEST['sql_conex']){$sql_conex = $_REQUEST['sql_conex'];}

$cadena = explode(";",$sql);
$cadena_conex = explode(";",$sql_conex);

    if (is_array($cadena)) {
       for ($x = 0; $x < count($cadena); $x++) {
          if(strlen($cadena[$x]) > 2){
          $resultado = mysqli_query($con,$cadena[$x]);
          $resultado2 = mysqli_query($con,$cadena_conex[$x]);         
                    $sql = "SELECT MAX(elem_red) as maxid, historial, X(SHAPE) AS lon1, Y(SHAPE) AS lat1 FROM cat_captaciones WHERE 1";
                    $resultado = mysqli_query($con,$sql);
                    $row = mysqli_fetch_assoc($resultado);
                    $id_captacion = $row["maxid"];
                    $historia = $row["historial"];
                    $lat1 = $row["lat1"];
                    $lon1 = $row["lon1"];

                    $sql = "SELECT MAX(id) as maxid, historial, X(SHAPE) AS lon1, Y(SHAPE) AS lat1 FROM cat_conex_capt WHERE 1";
                    $resultado = mysqli_query($con,$sql);
                    $row = mysqli_fetch_assoc($resultado);
                    $id_conex_capta = $row["maxid"];

                    $ccz3 = 'Sin Asignar';
                    $sqlx = "SELECT NOMBRE, ASTEXT(SHAPE) AS geom FROM geo_cczs WHERE CONTAINS(SHAPE, GEOMFROMTEXT('POINT(" . $lon1 . " " . $lat1 . ")'))";
                    $resultadox = mysqli_query($con,$sqlx);
                    if ($resultadox != FALSE){
                        if (mysqli_num_rows($resultadox) == 1)
                        {
                            $rowx = mysqli_fetch_assoc($resultadox);
                            $ccz3=$rowx['NOMBRE'];
                        }  
                        elseif (mysqli_num_rows($resultadox) > 1)
                        {
                            while($rowx = mysqli_fetch_assoc($resultadox))
                            {
                                $geom=$rowx['geom'];
                                $esinterior = dl_geometria::dl_punto_en_poligono($lat1,$lon1,$geom);
                                if ($esinterior){$ccz3=$rowx['NOMBRE'];};
                            }
                        }
                    }
                    $cuenca3 = 0;
                    $sqlx = "SELECT id, ASTEXT(SHAPE) AS geom FROM geo_cuencas WHERE CONTAINS(SHAPE, GEOMFROMTEXT('POINT(" . $lon1 . " " . $lat1 . ")'))";
                    $resultadox = mysqli_query($con,$sqlx);
                    if ($resultadox != FALSE){
                        if (mysqli_num_rows($resultadox) == 1)
                        {
                            $rowx = mysqli_fetch_assoc($resultadox);
                            $cuenca3=$rowx['id'];
                        }  
                        elseif (mysqli_num_rows($resultadox) > 1)
                        {
                            while($rowx = mysqli_fetch_assoc($resultadox))
                            {
                                $geom=$rowx['geom'];
                                $esinterior = dl_geometria::dl_punto_en_poligono($lat1,$lon1,$geom);
                                if ($esinterior){$cuenca3=$rowx['id'];};
                            }
                        }
                    }
                    $sql66 = "UPDATE cat_captaciones SET ccz = '" . $ccz3 . "', cuenca = " . $cuenca3 . " WHERE elem_red = " . $id_captacion;
                    $resultado66= mysqli_query($con,$sql66);  
                    

                    $sql67 = "UPDATE cat_conex_capt SET id_captacion = " . $id_captacion . " WHERE id = " . $id_conex_capta;
                    $resultado67= mysqli_query($con,$sql67);  
                    
                    $usuario = "administrador";
                    if( $_REQUEST["usuario"] ) {
                       $usuario = $_REQUEST['usuario'];
                    }


                        $historia = str_replace("'","",$historia);
                        if($id_captacion > 0 && $historia != '')
                        {
                        $fecha = dl_fecha::dl_ahora_texto();
                        $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id_captacion . ",'Se importan captaciones. id de referencia','NUEVA CAPTACION','" . $fecha . "','" . $usuario . "','CAPTACION')";
                        $resultado = mysqli_query($con,$sql);
                        }   
                  }
            }
    } 
mysqli_close($con);
echo ($historia);
?>





